#include <bits/stdc++.h>

using namespace std;

int main()
{
    int a=0, b=0,ta[10]={0},tb[10]={0};
    unsigned long long int x=0;
    cin>>a;
    cin>>b;
    int i=0,ia=0,ib=0;

    while(a>0)
    {
        ta[ia]=a%10;
        ia++;
        a/=10;
    }
    while(b>0)
    {
        tb[ib]=b%10;
        ib++;
        b/=10;
    }
    int is=0;

    if(ia>=ib)
    {
    for(i=0;i<ia;i++)
    {
        if(ib>i)
        {
            if(ta[i]>tb[i])
                x+=ta[i]*pow(10,is);
            if(ta[i]<tb[i])
                x+=tb[i]*pow(10,is);
            if(ta[i]==tb[i])
            {
                x+=ta[i]*pow(10,is);
                is++;
                x+=ta[i]*pow(10,is);
            }
        }
        else
            x+=ta[i]*pow(10,is);
        is++;
    }
    }


    if(ia<ib)
    {
    for(i=0;i<ib;i++)
    {
        if(ia>i)
        {
            if(ta[i]>tb[i])
                x+=ta[i]*pow(10,is);
            if(ta[i]<tb[i])
                x+=tb[i]*pow(10,is);
            if(ta[i]==tb[i])
            {
                x+=ta[i]*pow(10,is);
                is++;
                x+=ta[i]*pow(10,is);
            }
        }
        else
            x+=tb[i]*pow(10,is);
        is++;
    }
    }

    cout<<x;



    return 0;
}